#include "define.h"

void CreateMainClass()
{
	wc.cbClsExtra = 0; //pas besoin d'espace supp
	wc.cbSize = sizeof(WNDCLASSEX); //sa taille
	wc.cbWndExtra = 0; //pas besoin d'espace supp
	wc.hbrBackground= (HBRUSH)GetStockObject(LTGRAY_BRUSH); //couleur de background (noir)
	wc.hCursor = LoadCursor(MainInstance,IDC_ARROW); //curseur (un curseur transparent)
	wc.hIcon = LoadIcon(MainInstance,(LPCTSTR)IDI_APPLICATION); //icone lors du ALT-TAB
	wc.hIconSm = LoadIcon(MainInstance,(LPCTSTR)IDI_APPLICATION); //icone dans le coin
	wc.hInstance = MainInstance; //instance du programme
	wc.lpfnWndProc = WinProc; //fonctions de processus des messages
	wc.lpszClassName = MainClassName; //Le nom de la classe
	wc.lpszMenuName = NULL; //le menu (aucun)
	wc.style = CS_DBLCLKS; //le style (style standards)

	//si la classe ne russi pas
	if (!RegisterClassEx(&wc))
	{
		//messagebox puis quitter
		MessageBox(NULL,"Erreur  NotePadClass","",MB_OK);
		exit(1);
	}
	
}

void RunCalculations()
{

	static long Count = 0;
	static long Inside = 0;
	Count++;
	
	
	char Output[255] = "\0";
	HDC hdc = GetDC(MainHandle);
	int X = rand()%400;
	int Y = rand()%400;

	int Lenght = ((X-200)*(X-200))
				+((Y-200)*(Y-200));
	Lenght = (int)sqrt(Lenght);


	
	if (Lenght < 200)
	{
		SetPixel(hdc,X,Y,RGB(0,0,0));
		Inside++;
	}
	else if (Lenght > 200)
		SetPixel(hdc,X,Y,RGB(255,255,255));
	else if (Lenght == 200)
	{
		SetPixel(hdc,X,Y,RGB(255,0,0));
	}

	long double Pourcentage = (double)Inside/Count;
	long double PI = Pourcentage * 4;

	//MessageBox(NULL,Output,"",MB_OK);
	//Sleep(500);
	sprintf(Output, "Distance:%d  X:%d  Y:%d",Lenght,X,Y);
	TextOut(hdc,0,0,Output,strlen(Output));

	sprintf(Output,"Russi: %d sur %d, %lf%%",Inside,Count,Pourcentage*100);
	TextOut(hdc,0,20,Output,strlen(Output));

	sprintf(Output,"PI = %lf", PI);
	TextOut(hdc,0,40,Output,strlen(Output));
	ReleaseDC(MainHandle, hdc);

}